<?php
/**
 * Functions which enhance the theme by hooking into WordPress
 *
 * @package servicer
 */

/**
 * Adds custom classes to the array of body classes.
 *
 * @param array $classes Classes for the body element.
 * @return array
 */
function servicer_body_classes( $classes ) {
	if ( ! is_singular() ) {
		$classes[] = 'hfeed';
    }

	if ( ! is_active_sidebar( 'sidebar-1' ) ) {
		$classes[] = 'no-sidebar';
    }
	return $classes;
}
add_filter( 'body_class', 'servicer_body_classes' );

function servicer_pingback_header() {
	if ( is_singular() && pings_open() ) {
		printf( '<link rel="pingback" href="%s">', esc_url( get_bloginfo( 'pingback_url' ) ) );
	}
}
add_action( 'wp_head', 'servicer_pingback_header' );